Subject: Re: timestamps not git-cloned

From: "Stephen R. van den Berg" <[email-masked]>
Date: Sat, 29 Nov 2008 10:22:31 +0100

Chris Frey wrote:
>On Fri, Nov 28, 2008 at 01:06:00PM +0800, [email-masked] wrote:
>> I hate it when I get some latest WhizBang.tgz, only to untar it to
>> find all the files' dates the same, when in fact the README hasn't
>> been touched in seven years, but you can't tell that from ls -l. I
>> recall some content tracker was involved.

>If this is the important bit, perhaps git-archive could be changed
>to create tarballs with file timestamps based on their commit dates.

Based on the principle of least surprise, I'd consider this a rather good
idea.
-- 
Sincerely,
           Stephen R. van den Berg.

To people that say "I could care less" - well, why don't you?